com.google.gwt.storage.client

## Class StorageImplIE8

- java.lang.Object
- - com.google.gwt.storage.client.StorageImpl
  - - com.google.gwt.storage.client.StorageImplNonNativeEvents
    - - com.google.gwt.storage.client.StorageImplIE8

    class StorageImplIE8
    extends StorageImplNonNativeEvents

IE8-specific implementation of the Web Storage.

See Also:
  MSDN - Introduction to DOM Storage

### Field Summary

### Fields inherited from class com.google.gwt.storage.client.StorageImpl

`jsHandler, LOCAL_STORAGE, SESSION_STORAGE, storageEventHandlers`

### Constructor Summary

Constructors
Constructor and Description
`StorageImplIE8()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Storage` `getStorageFromEvent(StorageEvent event)` Returns the `Storage` object that was affected in the event.

### Methods inherited from class com.google.gwt.storage.client.StorageImplNonNativeEvents

`addStorageEventHandler0, clear, removeItem, removeStorageEventHandler0, setItem`

### Methods inherited from class com.google.gwt.storage.client.StorageImpl

`addStorageEventHandler, getItem, getLength, getStorageEventHandlers, handleStorageEvent, hasStorageEventHandlers, key, removeStorageEventHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StorageImplIE8

    StorageImplIE8()

### Method Detail

#### getStorageFromEvent

    protected Storage getStorageFromEvent(StorageEvent event)

Description copied from class: `StorageImpl`
Returns the `Storage` object that was affected in the event.

Overrides:
  `getStorageFromEvent` in class `StorageImpl`
Returns:
  the `Storage` object that was affected in the event.